export interface RenderJob {
    divaNr: string;
    hqRenderscript: HQRenderScript;
    divaNrVariantId?: number;
    createdBy: string;
    created?: number;
    organization?: string;
    lastUpdated?: string;
}
export interface HQRenderScript {
    _id: string;
    assets: HQS_Assets;
    scene: {
        nodes: HQS_Node[];
    };
    groundShadow: GroundShadow;
}
export interface HQS_Vector3 {
    x: number;
    y: number;
    z: number;
}
export interface HQS_Transform {
    position: HQS_Vector3;
    rotation: HQS_Vector3;
}
export interface ViewpointCamInfo {
    name: string;
    pos: HQS_Vector3;
    rot: HQS_Vector3;
    targetPos: HQS_Vector3;
    horiFov: number;
    vertFov: number;
    lensShiftX: number;
    lensShiftY: number;
    isOutdated?: boolean;
}
export interface Viewpoint {
    _id?: string;
    name: string;
    divaNr?: string;
    camera: HQS_Transform;
    target: HQS_Transform;
    lensShiftY: number;
    lensShiftX: number;
    created?: number;
    lastUpdated?: number;
}
export interface HQS_Assets {
    geos: HQS_Geo[];
    mats: HQS_Mat[];
}
export interface HQS_Node {
    name: string;
    pos: HQS_Vector3;
    rot: HQS_Vector3;
    nodes?: HQS_Node[];
    geos?: HQS_Geos[] | [];
    mats?: Mats[] | [];
}
export interface HQS_Geos {
    id: string;
    pos: HQS_Vector3;
    rot: HQS_Vector3;
    geos?: HQS_Geos[] | [];
    nodes?: HQS_Node[] | [];
}
export interface Mats {
    id: string;
    onNode: string;
}
interface GroundShadow {
    enable: boolean;
    bBox: {
        centerPos: HQS_Vector3;
        scale: HQS_Vector3;
    };
}
export interface HQS_Geo {
    id: string;
    name: string;
    tempGeoPath?: string;
    isIDM3D?: boolean;
    blob: string;
    catCodex: string;
    isResizedGeo?: boolean;
}
export interface HQS_Mat {
    id: string;
    name: string;
    isIDM3D?: boolean;
    tileU: number;
    tileV: number;
    tempSubsPath?: string;
    blob: string;
    isSubsMat: boolean;
}
export {};
//# sourceMappingURL=types.d.ts.map