import { Mesh } from '@babylonjs/core/Meshes/mesh';
import { FreePlacesOnGrids, PlannedPlacesOnGrids, ViewHandler } from '..';
import { SceneStore } from './SceneStore';
import { UIStore } from './UIStore';
export declare class GridStore {
    private _gridControls;
    private _allGrids?;
    private _plannedOptions?;
    private _grid?;
    private _freePlacesOnGrids?;
    private _plannedPlacesOnGrids?;
    private _sceneStore;
    private _viewHandler;
    private _selectedGrid;
    private _uiStore;
    constructor(sceneStore: SceneStore, uiStore: UIStore, viewHandler?: ViewHandler);
    get plannedPlacesOnGrids(): PlannedPlacesOnGrids[] | undefined;
    get freePlacesOnGrids(): FreePlacesOnGrids[] | undefined;
    get selectedGrid(): Mesh | undefined;
    getSelectedGrid(): Mesh;
    onGridMove(box: Mesh): void;
    selectGrid(mesh: Mesh, gridIdx: number, shelfIdx: number, basketId: string, disableDelete: boolean, disableMove: boolean): void;
    getMoveGrids(gridName: string, basketId: string): Promise<void>;
    deselectGrids(triggerUpdate?: boolean): void;
    rerenderGrids(): void;
    private _buildPlannedOptions;
    getGrids(freePlacesOnGrids?: FreePlacesOnGrids[], plannedPlacesOnGrids?: PlannedPlacesOnGrids[], doNotRelod?: boolean, doNotOverwrite?: boolean): Promise<void>;
    getDataFromGridName(name: string, elementId: string): {
        elementId: string;
        gridIdx: number;
        shelfIdx: number;
        parentBasketId: string;
        accessoireBasketId: string | undefined;
        gridName: string;
    } | undefined;
}
//# sourceMappingURL=GridStore.d.ts.map