import { TransformNode } from '@babylonjs/core/Meshes/transformNode';
import '@babylonjs/core/Engines/WebGPU/Extensions/engine.dynamicTexture';
import '@babylonjs/core/Engines/WebGPU/Extensions/engine.multiRender';
import '@babylonjs/core/Engines/WebGPU/Extensions/engine.renderTarget';
import '@babylonjs/core/Engines/WebGPU/Extensions/engine.renderTargetTexture';
import { UIConfig, ViewpointCamInfo } from '..';
import { TabGroupTypes } from '../index';
import { ElementInfo } from '../types';
import { Element } from './types';
import { Mesh } from '@babylonjs/core/Meshes/mesh';
import { Scene } from '@babylonjs/core/scene';
import { UtilStore } from './UtilStore';
export declare class UIStore {
    private _utilStore;
    private _uiConfig;
    private _gui;
    private _requestNewOverlayImage?;
    private _onElementCopy?;
    private _timeoutId?;
    private _latestViewpoint?;
    private _guiElements;
    private _scene;
    private _enableSSAO;
    private _selectionHandler?;
    private _colors;
    private _gridGui?;
    private _isStaticBg?;
    private _elementsInfo?;
    private _diffuseTexture;
    private _plane;
    private _shaderMat;
    private _selectedMeshes;
    private _isUnityComb;
    private _selectedHl;
    private _runRenderLoopForTime;
    private _tabgroupTypeActive;
    private _isMobile;
    private _guiIsPicked;
    constructor(scene: Scene, enableSSAO: (enable: boolean) => void, utilStore: UtilStore, uiConfig?: UIConfig, requestNewOverlayImage?: (viewpoint: ViewpointCamInfo) => void, overlayImage?: {
        base64: string;
        isStaticBg: boolean;
    }, onElementCopy?: (setId: string, elementId: number, copyDir: 'LEFT' | 'RIGHT' | 'TOP' | 'STD') => void, runRenderLoopForTime?: (ms: number) => void, tabgroupTypeActive?: (type: TabGroupTypes) => boolean, isMobile?: boolean);
    get isStaticBg(): boolean;
    get unityCombActive(): boolean;
    private initSelectionHandler;
    private fadeOutOverlayImage;
    private fadeInOverlayImage;
    createGridGui(mesh: Mesh, onClickDel?: any): void;
    removeGridGui(): void;
    resize(): void;
    addElementsInfo(elementsInfo: ElementInfo[]): void;
    private pointerOverElement;
    private pointerOutElement;
    private createPosNr;
    private createBoxCopyButtons;
    initGui(onElSelected: any, elements: Element[]): void;
    selectElem(name: string, element: TransformNode, onElSelected?: (setId: string, elementId: number) => void): void;
    deactivateHighlightLayer(): void;
    activateHighlightLayer(): void;
    clearGui(): void;
    onMove(): void;
    updateOverlayImage: (overlayImage: {
        base64: string;
        isStaticBg: boolean;
    } | undefined) => void;
    requestNewOverlayImage(viewpoint: ViewpointCamInfo, focusedElement: any, targetCameraPosition: {
        x: number;
        y: number;
        z: number;
    }, updateCameraInformation: any): void;
}
//# sourceMappingURL=UIStore.d.ts.map