import { AbstractMesh } from '@babylonjs/core/Meshes/abstractMesh';
import { Mesh } from '@babylonjs/core/Meshes/mesh';
import { Vector3 } from '@babylonjs/core/Maths/math';
import { TransformNode } from '@babylonjs/core/Meshes/transformNode';
import { ViewHandler, HQS_Vector3 } from '..';
import { Cache } from '../types';
import { RTVAnalyzeData } from './types';
export declare class UtilStore {
    private _isMobile;
    private _rtvAnalyzeData;
    private _outstandingImageCount;
    private _updateCam;
    private _viewHandler?;
    constructor(isMobile?: boolean, viewHandler?: ViewHandler);
    get isMobile(): boolean;
    get viewHandler(): ViewHandler | undefined;
    get curTabGroupKey(): any;
    get updateCam(): boolean;
    set updateCam(doUpdateCam: boolean);
    get updateWithUnityData(): boolean;
    onElementDeleted(setId: string, elementId: number): void;
    addOutstandingImageCount(): void;
    subtractOutstandingImageCount(): void;
    disableElementRows(element: string, cache: Cache[]): void;
    setAnalyzeDataRowStatus(name: string, status: boolean): void;
    setAnalyzeDataRow(row: RTVAnalyzeData): void;
    setRTVAnalyzeData(): void;
    getTexture(url: string): Promise<{
        res: any;
        downloadTime: number;
        status: number;
    }>;
    getInfoJson(url: string): Promise<{
        res: any;
        status: number;
    }>;
    moveObjectInDirection(mesh: TransformNode, direction: Vector3, distance: number): void;
    calculateBBoxCenter: (ob: TransformNode) => Vector3;
    radiansToDegrees: (vector: HQS_Vector3) => Vector3;
    degreesToRadians: (vector: HQS_Vector3) => Vector3;
    vector3ToBVector3: (vector: HQS_Vector3) => Vector3;
    bvector3ToVector3: (vector: Vector3) => {
        x: number;
        y: number;
        z: number;
    };
    findParentElementAndSet(ob: TransformNode | AbstractMesh | Mesh | null | undefined): {
        element: Mesh | TransformNode | AbstractMesh | undefined;
        set: string | undefined;
    };
}
//# sourceMappingURL=UtilStore.d.ts.map