import { TransformNode } from '@babylonjs/core/Meshes/transformNode';
import { Vector3 } from '@babylonjs/core/Maths/math.vector';
import { PBRMetallicRoughnessMaterial } from '@babylonjs/core/Materials/PBR/pbrMetallicRoughnessMaterial';
import { HQS_Node } from '../parser/types';
export interface RTVAnalyzeData {
    type: 'GEO' | 'TEX' | 'MAT';
    name: string;
    path: string;
    sizeMb: number;
    active: boolean;
    found: boolean;
    geo?: string;
}
export interface MaterialCache {
    mat: PBRMetallicRoughnessMaterial;
    isStdMat: boolean;
    lastUsage: number;
}
export interface ArticleGrid {
    originPosition: Vector3;
    gridPositionSize: Vector3;
    deltaGrid: Vector3;
    gridName: string;
    count: number;
    accessorie: string;
}
export interface AllGrids {
    elementId: string;
    accessories: Accessorie[];
    grids: Grid[];
}
export interface Grid {
    gridName: string;
    originPosition: {
        x: number;
        y: number;
        z: number;
    };
    deltaGrid: {
        x: number;
        y: number;
        z: number;
    };
    rotation: number;
    count: number;
}
export interface PlannedOptions {
    elementId: string;
    plannedOptions: {
        [codex: string]: string;
    };
}
export interface Accessorie {
    artNr: string;
    artType: string;
    geo: {
        type: string;
        rulePosition: Vector3;
        geoPosition: Vector3;
        geoSize: Vector3;
        geoBboxSize: Vector3;
    };
    gridPositionSize: {
        x: number;
        y: number;
        z: number;
    };
}
export interface SceneConstruct {
    root?: {
        hqs: HQS_Node;
        bbn: TransformNode;
        sets: Set[];
    };
}
export interface Set {
    hqs: HQS_Node;
    bbn: TransformNode;
    elements: Element[];
}
export interface Element {
    hqs: HQS_Node;
    bbn: TransformNode;
    geos: {
        hqs: HQS_Node;
        bbn: TransformNode;
        mat: any;
    }[];
}
//# sourceMappingURL=types.d.ts.map