import { AdvancedDynamicTexture } from '@babylonjs/gui/2D/advancedDynamicTexture';
import { Material } from '@babylonjs/core/Materials/material';
import { Mesh } from '@babylonjs/core/Meshes/mesh';
import { TransformNode } from '@babylonjs/core/Meshes/transformNode';
import { Button } from '@babylonjs/gui/2D/controls/button';
import { HQS_Node } from './parser/types';
import { Ellipse } from '@babylonjs/gui/2D/controls/ellipse';
import { TextBlock } from '@babylonjs/gui/2D/controls/textBlock';
export interface GUIType {
    gui: AdvancedDynamicTexture;
    guiElement: (Button | Ellipse)[];
    label?: TextBlock;
}
export interface ElementInfo {
    elementId: number;
    setId: string;
    active: boolean;
    selectable: boolean;
    posNr: string | undefined;
    callback?: () => void;
    type: 'PosNr' | 'BoxCopyRight' | 'BoxCopyLeft' | 'BoxCopyTop';
}
export interface GeoCache {
    geometry: Mesh;
    onElements: HQS_Node[];
    name: string;
}
export interface Cache {
    id: string;
    material?: MatCache;
    geo?: GeoCache;
}
export interface MatCache {
    mat: Material;
    isStdMat: boolean;
    name: string;
    onNodes?: string[];
    parents?: TransformNode[];
    onElements: HQS_Node[];
}
//# sourceMappingURL=types.d.ts.map